TTF_SetFontHinting(3)

NAME
TTF_SetFontHinting - Set a font's current hinter setting.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

void TTF_SetFontHinting(TTF_Font *font, TTF_HintingFlags hinting);

DESCRIPTION
This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

The hinter setting is a single value:

• TTF_HINTING_NORMAL

• TTF_HINTING_LIGHT

• TTF_HINTING_MONO

• TTF_HINTING_NONE

• TTF_HINTING_LIGHT_SUBPIXEL (available in
  SDL_ttf 3.0.0 and later)

FUNCTION PARAMETERS

font
    the font to set a new hinter setting on.

hinting
    the new hinter setting.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontHinting(3)